Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

[V1.6.2] Risugami's Mods - Updated.


  • Please log in to reply
31850 replies to this topic

#28501

Nockelplayhero

Posted 07 December 2012 - 11:25 AM

Posted Image Posted Image you are great

View PostxXStividinhoXx, on 06 December 2012 - 06:50 AM, said:

1.2.4 and 1.2.5 were nearly the same. Most (Or every) mod didn't need to update. So 1.2.4 works for 1.2.5 too


Register or log in to remove.

#28502

Chickenfillet1

Posted 07 December 2012 - 01:01 PM

Recipe Book 1.4.5
This item when used opens up a GUI of every recipe that can be done. The items can not be touched, but you can read tool tip. Left click moves to next recipe. Right click moves to previous recipe. The recipe for recipe book is 1 book, 1 ink sac. It's a shapeless recipe. Requires ModLoader 1.4.5.
Download (Adfly) Download (Direct) Old Versions





My Minecraft crashes every time I right click the book to open it - is there a different way to open it?

#28503

raider2115

Posted 07 December 2012 - 01:54 PM

my mod loader can't work... what should i do???

#28504

Dweller_Benthos
  • Minecraft: Dweller_Benthos

Posted 07 December 2012 - 02:21 PM

View PostChickenfillet1, on 07 December 2012 - 01:01 PM, said:

My Minecraft crashes every time I right click the book to open it - is there a different way to open it?

Are you using TMI? That will cause a conflict. Post an error report otherwise.

View Postraider2115, on 07 December 2012 - 01:54 PM, said:

my mod loader can't work... what should i do???

Post modloader.txt (in your minecraft folder) or use this to get an error report:

http://dl.dropbox.co...fterrortest.bat
or this
http://www.minecraft...minecrafterror/
Then maybe we'll have enough information to help.
D_B
To tell them how to live is to prevent them living.

#28505

Zjerothi
  • Location: Hidden in Deep Space

Posted 07 December 2012 - 05:12 PM

Does armor stand only show vanilla armors?  I just tried one set of armor from Metallurgy 2 and it displayed it as white dyed leather rather than it's normal look.
Posted Image

#28506

cobyjames

Posted 07 December 2012 - 06:24 PM

my minecraft crashes when i install mod loader Posted Image Posted Image

#28507

Tremuto
    Tremuto

    Redstone Miner

  • Members
  • 661 posts

Posted 07 December 2012 - 06:29 PM

View Postcobyjames, on 07 December 2012 - 06:24 PM, said:

my minecraft crashes when i install mod loader Posted Image Posted Image

You installed it incorrectly. Post a error report in spoiler tags if you want help.


View PostZjerothi, on 07 December 2012 - 05:12 PM, said:

Does armor stand only show vanilla armors?  I just tried one set of armor from Metallurgy 2 and it displayed it as white dyed leather rather than it's normal look.

Armor Stand doesn't work for most mod items. The same case occurs with Balkon's WeaponMod.
Just your friendly neighborhood otter.

#28508

cheesepants8
  • Minecraft: roadtopwn

Posted 07 December 2012 - 08:00 PM

Can you post a Download for Modloader 1.3.2
Posted Image

#28509

PabloDons

Posted 07 December 2012 - 09:07 PM

found bug with the armor stand. If you shift click the armor from the GUI, minecraft will crash
Posted Image

#28510

Dweller_Benthos
  • Minecraft: Dweller_Benthos

Posted 07 December 2012 - 09:18 PM

View Postcheesepants8, on 07 December 2012 - 08:00 PM, said:

Can you post a Download for Modloader 1.3.2

Read this http://www.minecraft...0#entry19445832

View PostPabloDons, on 07 December 2012 - 09:07 PM, said:

found bug with the armor stand. If you shift click the armor from the GUI, minecraft will crash

It's broken, don't shift click in armor stand or shelf.
D_B
To tell them how to live is to prevent them living.

#28511

CrafterSaef
  • Location: texas
  • Minecraft: CrafterSaef

Posted 07 December 2012 - 11:55 PM

---- Minecraft Crash Report ----
// There are four lights!

Time: 12/7/12 5:50 PM
Description: Exception occured in ModLoader

java.lang.NoClassDefFoundError: bspkrs/util/client/ColorThreshold
at mod_ArmorStatusHUD.<init>(mod_ArmorStatusHUD.java:79)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
at java.lang.reflect.Constructor.newInstance(Constructor.java:513)
at java.lang.Class.newInstance0(Class.java:355)
at java.lang.Class.newInstance(Class.java:308)
at ModLoader.addMod(ModLoader.java:373)
at ModLoader.readFromClassPath(ModLoader.java:1313)
at ModLoader.init(ModLoader.java:899)
at ModLoader.addAllRenderers(ModLoader.java:215)
at bbj.<init>(RenderManager.java:93)
at bbj.<clinit>(RenderManager.java:14)
at net.minecraft.client.Minecraft.a(SourceFile:259)
at net.minecraft.client.Minecraft.run(SourceFile:515)
at java.lang.Thread.run(Thread.java:680)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
Minecraft Version: 1.4.5
Operating System: Mac OS X (x86_64) version 10.6.8
Java Version: 1.6.0_26, Apple Inc.
Java VM Version: Java HotSpot™ 64-Bit Server VM (mixed mode), Apple Inc.
Memory: 495521080 bytes (472 MB) / 534708224 bytes (509 MB) up to 1065025536 bytes (1015 MB)
JVM Flags: 3 total; -Xbootclasspath/a:/System/Library/PrivateFrameworks/JavaApplicationLauncher.framework/Resources/LauncherSupport.jar -Xms512M -Xmx1024M
AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
Suspicious classes: Config, VersionCheckThread, TextureHDFX, ...[bspkrs.util.ModVersionChecker]
IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
ModLoader: Mods loaded: 1
ModLoader 1.4.5



PLEASEE HELP D:
Posted Image

#28512

megaladon890
  • Location: In yo windows, snatchin' yo people up
  • Minecraft: megaladon890

Posted 08 December 2012 - 12:30 AM

Even with modloader being the only mod installed, I still get this.


Minecraft has crashed!      
      ----------------------      

Minecraft has stopped running because it encountered a problem; Exception occured in ModLoader

Generated 12/7/12 7:25 PM

-- System Details --
Details:
Minecraft Version: 1.4.5
Operating System: Windows 7 (x86) version 6.1
Java Version: 1.7.0_09, Oracle Corporation
Java VM Version: Java HotSpot™ Client VM (mixed mode), Oracle Corporation
Memory: 407837928 bytes (388 MB) / 518979584 bytes (494 MB) up to 1037959168 bytes (989 MB)
JVM Flags: 2 total; -Xms512m -Xmx1024m
AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
Suspicious classes: ModLoader, EntityRendererProxy, ModTextureStatic, ...]
IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
ModLoader: Mods loaded: 1
ModLoader 1.4.5


java.lang.NoClassDefFoundError: SparrowAPI
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at java.security.SecureClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.access$100(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at java.security.SecureClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.access$100(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.Class.getDeclaredFields0(Native Method)
at java.lang.Class.privateGetDeclaredFields(Unknown Source)
at java.lang.Class.getDeclaredFields(Unknown Source)
at ModLoader.setupProperties(ModLoader.java:1964)
at ModLoader.addMod(ModLoader.java:372)
at ModLoader.readFromModFolder(ModLoader.java:1380)
at ModLoader.init(ModLoader.java:900)
at ModLoader.addAllRenderers(ModLoader.java:215)
at bbj.<init>(RenderManager.java:93)
at bbj.<clinit>(RenderManager.java:14)
at net.minecraft.client.Minecraft.a(SourceFile:259)
at net.minecraft.client.Minecraft.run(SourceFile:515)
at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.ClassNotFoundException: SparrowAPI
at java.net.URLClassLoader$1.run(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
So seventeen frenchmen walk into a bar.

#28513

UncleMion
    UncleMion

    Obsidian Miner

  • Members
  • 1382 posts
  • Location: Denver, Colorado, U.S.
  • Minecraft: UncleMion

Posted 08 December 2012 - 12:36 AM

View PostCrafterSaef, on 07 December 2012 - 11:55 PM, said:

Spoiler:

PLEASEE HELP D:

View Postmegaladon890, on 08 December 2012 - 12:30 AM, said:

Even with modloader being the only mod installed, I still get this.

Spoiler:
Both of you, try renaming your mods folder to mods2, and see if that helps.

Posted Image@UncleMion on Twitter


#28514

Cybermario
  • Location: Mexico

Posted 08 December 2012 - 01:16 AM

View Postzatoichi, on 07 December 2012 - 09:19 AM, said:

no, forge just has their own implementation of modloader. so if you have forge mods, just install forge and it will load your modloader mods as well. obviously not guaranteed to work since they have to follow risu's updates in order for them to load properly, but this is the only way to have both. just don't install both loaders, that's the only wrong way to do it. yet we still have pages and pages of crash spam from people who refuse to read.

choose either forge modloader or risu modloader, this doesn't mean you can only use one type of mod. if you only run modloader mods then use risu's, if you want both forge and modloader mods then just use forge, it's not that complicated.
thanks! wanted to be sure before i borked my minecraft folder :P
Posted Image

#28515

Pulsater12
  • Location: In an Antarctic research facility.
  • Minecraft: Trozzikz
  • Xbox:Pulsater12

Posted 08 December 2012 - 02:55 AM

With the Elemental Arrows mod, the leather tunic item has a lighting arrow on it, but not on the model.
PLZ FIX
Posted Image

#28516

pigsncreepers

Posted 08 December 2012 - 04:08 AM

How are you still a coal miner if you made two of the most important mods?

#28517

NeoBlazer1
  • Location: Under your Bed.........hee hee hee >:3
  • Minecraft: NeoBlazer1

Posted 08 December 2012 - 05:15 AM

Ok, does any mods that require your Modloader compatible with any other mods you make? Example: Flood Gate, Biosphere, Shelf Mod, Armor stand, Spawner Gui, etc....etc.....


Posted Image
Non-Popular Kid: Brains over brawn, buddy. Popular Kid: What does that mean?

#28518

kamakazeishbear
  • Location: New Zealand
  • Minecraft: kamakazeishbear

Posted 08 December 2012 - 06:17 AM

for some reason the elemental arrows only work when I am in creative?

#28519

DarkStormDragon
  • Location: X: -256, Y:40, Z: 1024
  • Minecraft: DragonGilbert
  • Xbox:DarkDForce

Posted 08 December 2012 - 07:38 AM

View PostNeoBlazer1, on 08 December 2012 - 05:15 AM, said:

Ok, does any mods that require your Modloader compatible with any other mods you make? Example: Flood Gate, Biosphere, Shelf Mod, Armor stand, Spawner Gui, etc....etc.....


They should be but you will have to double check the individual mods themselves. all Ris's mods work together well

Posted Image


#28520

Sinnaj63
    Sinnaj63

    Tree Puncher

  • Members
  • 20 posts
  • Location: Minecraftia
  • Minecraft: Sinnaj63

Posted 08 December 2012 - 08:30 AM

I cant find shelfs for 1.4.2 under old versions!
Posted Image